.menu {
  list-style: none;

  &__item {
    margin-right: rem(40);
  }

  &__link {
    position: relative;
    display: block;
    padding: 0px 0px rem(30) 0px;
    text-decoration: none;
    font-style: normal;
    font-weight: normal;
    font-size: rem(16);
    text-align: center;

    color: $c-black;

    &::before {
      content: '';
      position: absolute;
      bottom: 0;
      left: 0;
      width: 0%;
      height: rem(1);
      background: $c-any;
      transition: width .3s ease-in;
    }

    &:hover {
      color: $c-any;

      &::before {
        width: 100%;
      }
    }
  }

  .is-active {
    color: $c-any;
    font-weight: bold;

    &::before {
      height: rem(4);
      width: 100%;
    }
  }
}

.burger {
  width: rem(30);
  height: rem(21);
  cursor: pointer;
  position: relative;
  display: none;

  i {
    display: block;
    width: 100%;
    height: rem(3);
    background: $c-any;
    transition: background .3s ease, width .3s ease, transform .3s ease;
  }

  &:hover {
    i {
      background: darken($c-any, 15%);
    }
  }
}

.burger.is-active {
  i {
    @include full-abs();
    margin: auto;

    &:nth-child(1) {
      transform: rotate(45deg);
    }

    &:nth-child(2) {
      width: 0;
    }

    &:nth-child(3) {
      transform: rotate(-45deg);
    }
  }
}

@include mmax ($pad){
  .nav {
    position: absolute;
    top: calc(100% + 8px);
    right: rem(15);
    width: rem(240);
    background: $c-white;
    box-shadow: 0px 12px 34px -22px rgba(0, 0, 0, 0.25);
    border-radius: rem(20);
    opacity: 0;
    visibility: hidden;
    transform: translateY(50px);
    transition: opacity .3s ease, transform .3s ease;
    z-index: 99;

    .menu {
      width: 100%;
      display: block;
      padding-top: rem(32);
      padding-bottom: rem(32);

      &__item {
        margin-right: 0;
      }

      &__link {
        padding-left: rem(32);
        height: rem(48);
        @include dflex(center, wrap, flex-start);
        padding-bottom: 0;

        &::before {
          display: none;
        }
      }
    }
  }

  .nav.is-active {
    visibility: visible;
    opacity: 1;
    transform: translateY(0);
  }

  .menu__link.is-active {
    background: rgba(238, 101, 109, 0.1s);
  }

  .burger {
    display: flex;
  }
}